Skip to main content

Create a new view in the table

Use this API to create a new view

Path Parameters
tableId string REQUIRED
Request Body REQUIRED
name string

The name of the view

description string

The description of the view

sortConfig object
isAutoSort boolean

Should the table be sorted automatically? Default is true.

sortItems object[]

The sort items for the table.

columnId string

The columnId of the column you want to sort by. It looks like CXXXXXXXXXXXXXXXXXXXXXXXX

order string

Possible values: [ASCENDING, DESCENDING]

The order of the sort. Allowed values ASCENDING | DESCENDING

groupItems object[]

Grouping configuration for the view

columnId string

The columnId of the column you want to group by. It looks like CXXXXXXXXXXXXXXXX

order string

Possible values: [ASCENDING, DESCENDING]

The order of the group. It can be ASCENDING | DESCENDING

hideEmptyGroups boolean

Should empty groups be hidden. DEFAULT: true

filterCondition string

Filter condition for the view

customTableViewType string

Possible values: [GRID, JSON]

The type of the view. Currently only GRID is supported (which is the default)

Responses
200

Returns the newly created view

Schema OPTIONAL
object